using System;
using System.Data;
using System.Configuration;
using System.Web;
using System.Web.Security;
using System.Web.UI;
using System.Web.UI.HtmlControls;
using System.Web.UI.WebControls;
using System.Web.UI.WebControls.WebParts;
using System.Collections.Generic;
using System.ComponentModel;

/// <summary>
/// Summary description for PrivateMessage
/// </summary>
public class PrivateMessage
{
    private int ciPriMsg_ID;
    private string csPriMsg_title;
    private string csPriMsg_message;
    private int ciFrom_userID;
    private string csFrom_username;
    private int ciTo_userID;
    private string csTo_username;
    private DateTime cdCreate_time;
    private DateTime cdSent_time;
    private DateTime cdView_time;
    private string csAction_flag;
    private string csProfile_avatar;
    private string csReadFlag;
    
	public PrivateMessage()
	{
		//
		// TODO: Add constructor logic here
		//
	}
       public int PriMsg_ID
    {
        get { return ciPriMsg_ID; }
        set { ciPriMsg_ID = value; }
    }

    public string PriMsg_title
    {
        get { return csPriMsg_title; }
        set { csPriMsg_title = value; }
    }
    public string PriMsg_message
    {
        get { return csPriMsg_message; }
        set { csPriMsg_message = value; }
    }

    public int From_userID
    {
        get { return ciFrom_userID; }
        set { ciFrom_userID = value; }
    }

    public string From_username
    {
        get { return csFrom_username; }
        set { csFrom_username = value; }
    }

    public int To_userID
    {
        get { return ciTo_userID; }
        set { ciTo_userID = value; }
    }

    public string To_username
    {
        get { return csTo_username; }
        set { csTo_username = value; }
    }

    public DateTime Create_time
    {
        get { return cdCreate_time; }
        set { cdCreate_time = value; }
    }

    public DateTime Sent_time
    {
        get { return cdSent_time; }
        set { cdSent_time = value; }
    }

    public DateTime View_time
    {
        get { return cdView_time; }
        set { cdView_time = value; }
    }

    public string Action_flag
    {
        get { return csAction_flag; }
        set { csAction_flag = value; }
    }

    public string Profile_avatar
    {
        get { return csProfile_avatar; }
        set { csProfile_avatar = value; }
    }

    public string ReadFlag
    {
        get { return csReadFlag; }
        set { csReadFlag = value; }
    }
}

public class PrivateMessageList : BindingList<PrivateMessage>
{
    public PrivateMessageList()
    { }
}
